package com.ruoyi.frequency.voterecord.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.frequency.voterecord.entity.VoteRecord;
import com.ruoyi.vo.UserVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 投票记录Mapper接口
 * 
 * @author liwenlong
 * @date 2023-10-12
 */
public interface VoteRecordMapper  extends BaseMapper<VoteRecord>
{
    /**
     * 查询投票记录
     * 
     * @param id 投票记录主键
     * @return 投票记录
     */
    public VoteRecord selectVoteRecordById(Long id);

    /**
     * 查询投票记录列表
     * 
     * @param voteRecord 投票记录
     * @return 投票记录集合
     */
    public List<VoteRecord> selectVoteRecordList(VoteRecord voteRecord);

    /**
     * 新增投票记录
     * 
     * @param voteRecord 投票记录
     * @return 结果
     */
    public int insertVoteRecord(VoteRecord voteRecord);

    /**
     * 修改投票记录
     * 
     * @param voteRecord 投票记录
     * @return 结果
     */
    public int updateVoteRecord(VoteRecord voteRecord);

    /**
     * 删除投票记录
     * 
     * @param id 投票记录主键
     * @return 结果
     */
    public int deleteVoteRecordById(Long id);

    /**
     * 批量删除投票记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteVoteRecordByIds(Long[] ids);

    void addVoteRecord(@Param("req") VoteRecord voteRecord,@Param("userVo") UserVo userVo);
}
